Jump to content
Sign in to follow this  
dynamoeffects

PayPal WPP Direct Payments & Express Checkout Support

Recommended Posts

Oops, sorry I meant 1.0.7... I ahve too many software versions to keep track of these days :P

 

The shop integration is a lot different between 0.9 and prior versions and 1.x. Basically, you must remove all the changes from the prior version and do a fresh install of v1.x. The READ_ME.htm document explains the process.

 

<shameless_plug>

You might consider using Contribution Tracker to keep track of everything you have installed in your shop. I found it to be handy and have done a lot of work on it to make it work better.

</shameless_plug>

 

--Glen

Share this post


Link to post
Share on other sites
The shop integration is a lot different between 0.9 and prior versions and 1.x. Basically, you must remove all the changes from the prior version and do a fresh install of v1.x. The READ_ME.htm document explains the process.

 

<shameless_plug>

You might consider using Contribution Tracker to keep track of everything you have installed in your shop. I found it to be handy and have done a lot of work on it to make it work better.

</shameless_plug>

 

--Glen

 

 

Figured that might be how I have to go about it, ugh what a process :P I thought I could get away with diff-ing in the changes and removing the old stuff while I was at it, but I guess there are some files that are no longer modded that contain legacy code...

 

Thanks for the tip on the tracker, sounds like it might be useful, especially if it is another year before I remember to upgrade stuff again ;)

Edited by Gremlyn1

Share this post


Link to post
Share on other sites
Figured that might be how I have to go about it, ugh what a process :P I thought I could get away with diff-ing in the changes and removing the old stuff while I was at it, but I guess there are some files that are no longer modded that contain legacy code...

 

Thanks for the tip on the tracker, sounds like it might be useful, especially if it is another year before I remember to upgrade stuff again ;)

 

All of the changes should be marked with "PayPal WPP Modification", so it shouldn't be too difficult to find them.

 

The tracker can even be set up with a cron job to send email when one of your registered contributions is updated. The next version will include the description from the update in the email message.

Share this post


Link to post
Share on other sites

OK, so I seem to have it back up and happy for the most part, but I am getting a 404 error for /ext/modules/payment/paypal/express.php. It is certainly not there, but i don't see it anywhere in the install file either. I'm also not getting the buttons on the order page, even though I have forced the page to https. Any ideas?

Edited by Gremlyn1

Share this post


Link to post
Share on other sites

Something strange is happening in my environment. On my checkout_confirmation screen, when I pay via Express Checkout, the Payment Method section doesn’t appear. If I refresh the browser, then it does appear. If I checkout using direct payment, the Payment Section appears like it should, without refreshing.

 

I’ve been researching all day. Do you happen to have any ideas?

 

Thanks in advance!

Share this post


Link to post
Share on other sites
OK, so I seem to have it back up and happy for the most part, but I am getting a 404 error for /ext/modules/payment/paypal/express.php. It is certainly not there, but i don't see it anywhere in the install file either. I'm also not getting the buttons on the order page, even though I have forced the page to https. Any ideas?

 

The missing file is not part of this module. It might be part of the Express Checkout module from HPDL (Harald).

 

Do you get a message stating that the buttons will only appear if you use https? If not, you missed an edit to orders.php. Check the installation instructions and verify that all the changes to that file have been made. If you do get the message, but the buttons don't appear, see if they appear when you load the page as http. If so, install the file admin/includes/paypal_wpp/paypal_wpp_includes.php from release 1.0.7. There was a bug in the version of this file in the 1.0.6 release.

 

--Glen

Share this post


Link to post
Share on other sites
The missing file is not part of this module. It might be part of the Express Checkout module from HPDL (Harald).

 

Do you get a message stating that the buttons will only appear if you use https? If not, you missed an edit to orders.php. Check the installation instructions and verify that all the changes to that file have been made. If you do get the message, but the buttons don't appear, see if they appear when you load the page as http. If so, install the file admin/includes/paypal_wpp/paypal_wpp_includes.php from release 1.0.7. There was a bug in the version of this file in the 1.0.6 release.

 

--Glen

 

That would explain the express checkout, thank I'll get that in tonight.

 

As for the buttons, I only knew about the buttons from the documentation, so it sounds like I may have missed that edit. Thanks for the speedy response!

Share this post


Link to post
Share on other sites
That would explain the express checkout, thank I'll get that in tonight.

 

As for the buttons, I only knew about the buttons from the documentation, so it sounds like I may have missed that edit. Thanks for the speedy response!

 

If you are using this module, it will do both the direct payments (accept credit cards on your site) and express checkout (big gold button), so all you need to do is to disable the other module.

 

--Glen

Share this post


Link to post
Share on other sites

I installed everything and it all looks good but when i try to checkout i get this error:

 

Your Website Payments Pro API certificate could not be found. Please check the location in your administration section.

 

I did upload a certificate....any suggestions? I am on secured https page in the checkout

Share this post


Link to post
Share on other sites
I installed everything and it all looks good but when i try to checkout i get this error:

 

Your Website Payments Pro API certificate could not be found. Please check the location in your administration section.

 

I did upload a certificate....any suggestions? I am on secured https page in the checkout

Check the directory path in the administration page. It should point to the directory where you saved your certificate.

 

--Glen

Share this post


Link to post
Share on other sites
Check the directory path in the administration page. It should point to the directory where you saved your certificate.

 

--Glen

 

Glen,

When i go to modules - payments - paypal direct payment - edit i have these options only:

 

Enable this payment module

Debug Mode

Live or Sandbox API

API Username

API Password

Proxy Address

Express Checkout: Confirmed Address

Express Checkout: Display Payment Page

Express Checkout: Automatic Account Creation

Sort order of display.

Payment Zone

 

 

I do have a lot of empty boxes in between these but no titles or desciptions above them. My guess is the language folder is missing them? idk...

Share this post


Link to post
Share on other sites
Glen,

When i go to modules - payments - paypal direct payment - edit i have these options only:

 

Enable this payment module

Debug Mode

Live or Sandbox API

API Username

API Password

Proxy Address

Express Checkout: Confirmed Address

Express Checkout: Display Payment Page

Express Checkout: Automatic Account Creation

Sort order of display.

Payment Zone

 

 

I do have a lot of empty boxes in between these but no titles or desciptions above them. My guess is the language folder is missing them? idk...

 

In the administration, click "Remove", then "Install". That should bring the descriptions back.

 

--Glen

Share this post


Link to post
Share on other sites
In the administration, click "Remove", then "Install". That should bring the descriptions back.

 

--Glen

 

Ok that fixed it now i got everything setup and it all looks good but now when i try to do a transaction and click on checkout i get this error:

 

Protocol https not supported or disabled in libcurl (Error No. 1)

Share this post


Link to post
Share on other sites
Ok that fixed it now i got everything setup and it all looks good but now when i try to do a transaction and click on checkout i get this error:

 

Protocol https not supported or disabled in libcurl (Error No. 1)

 

Ok i found out that Curl SSL was not installed on my server so i installed it and now it all works. Thanks!

Share this post


Link to post
Share on other sites

Thanks again guys for a great contrib - I'm sooo close to getting this completely working...

 

I hate to ask, but if you have a chance to check, would it be possible to confirm whether or not the Payment Method section of checkout_confirmation.php appears in your environment after doing Express Checkout? Mine is missing, but only after doing express checkout. It appears that $this->selected_module is null after returning from Paypal's site, and I can't figure out if it's because the payment selection stuff is gone then (since it's replaced with the switch function), or if I've done something else wrong.

 

Thanks again!

Share this post


Link to post
Share on other sites

Thanks again guys for a great contrib - I'm sooo close to getting this completely working...

 

I hate to ask, but if you have a chance to check, would it be possible to confirm whether or not the Payment Method section of checkout_confirmation.php appears in your environment after doing Express Checkout? Mine is missing, but only after doing express checkout. It appears that $this->selected_module is null after returning from Paypal's site, and I can't figure out if it's because the payment selection stuff is gone then (since it's replaced with the switch function), or if I've done something else wrong.

 

Thanks again!

 

Hallelujah and DUH!!

 

I still don't understand why $this->selected_module was null after coming back from ec, BUT it did dawn on me this morning that since the processing was working, and just the layout was wrong - fix the html and stop piddling with the logic! Ugh, just adding a simple check for if the ec token was set and what to display if it was, did the trick.

 

Finally I can move on with my life...!

Share this post


Link to post
Share on other sites

Hallelujah and DUH!!

 

I still don't understand why $this->selected_module was null after coming back from ec, BUT it did dawn on me this morning that since the processing was working, and just the layout was wrong - fix the html and stop piddling with the logic! Ugh, just adding a simple check for if the ec token was set and what to display if it was, did the trick.

 

Finally I can move on with my life...!

 

I had a problem where the module selection was getting stomped on that turned out to be a bug in CCGV. If you have that module installed (and not CCGV(trad)), make sure you have applied the bug fixes, because one of them could fix the problem without the workaround.

 

--Glen

Share this post


Link to post
Share on other sites

OMG, this means that the version that I downloaded and installed from the PayPal website last month wasn't even close to being current -- version 0.7.3. Blast it! After the customer upgraded to WPP and didn't tell me I' spent hours trying to figure out why the IPN plug wasn't working, then I found the link for the plugin on PayPal's site.

 

Hopefully upgrading will save me some of my recent heartache.

 

I just uploaded v1.0.6 of PayPal Website Payments Pro (US/UK) by dynamoeffects.

 

This version includes:

* Express Checkout customers buying virtual products now skip checkout_payment, unless the feature is enabled

 

* Itemized cart information sent to PayPal is again displayed correctly.

 

* Fixed handling for shops using "Display price with tax"

 

* Now displays and stores less credit card information (only last four digits of card, doesn't store expiry date)

 

* Fixed the "reject countries not in your database" feature introduced in v1.0.5

 

* Accented characters in Express Checkout customers name and address are now properly displayed.

 

I believe that this version fixes all reported bugs, except for users with servers that do not correctly populate the SCRIPT_NAME environment variable. That issue is in the shop integration, so those upgrading from prior v1.x releases don't need to re-apply their local fixes. I may update wpp_diagnostics.php to test for this issue and recommend an appropriate local fix.

 

No changes to the configuration table have been made, so if you are upgrading from v1.0.4 or later, you can simply replace /catalog/includes/modules/payment/paypal_wpp.php. If you are selling virtual products, also perform the first item in Step #6 (checkout_shipping.php) of the installation instructions in the READ_ME.htm file.

 

Please post here in the forum if you experience any difficulties.

 

--Glen

Share this post


Link to post
Share on other sites

Hi

 

I am in Austria and having problems with getting direct payments to work. Well, they won't because I cannot sign up for a UK account.

The message returned when using direct payments is

"Invalid Configuration (10501) This transaction cannot be processed due to an invalid merchant configuration."

The reason being that I cannot have a billing agreement setup in Austria.

 

However, express checkout works great.

 

Is there anyway of disabling the direct payment method in your modules?

 

Paypal suport responds with:

>>>>>>>>>>>>>>>>>>>>>>>>>

The Website Payments Pro solution can be implemented by UK, Canadian and US Merchants only. For Austria you can accept the payment from existing PayPal accounts via Express Checkout or accept the Credit Card payments on PayPal hosted pages.

 

You can give an option to pay by credit card on PayPal pages by adding additional value to SetExpressCheckout API request:

 

SolutionType = Sole

 

More information at: https://cms.paypal.com/us/cgi-bin/?&cmd=_render-content&content_ID=developer/e_howto_api_soap_r_SetExpressCheckout

 

At the moment this is only option to accept the credit card payments for Austrian PayPal accounts.

<<<<<<<<<<<<<<<<<<<<<<<<<<

 

IF you have any suggestions about how I can get around this/these problem/s I would be interested to hear :-)

 

Thanks

 

SJ AKA emonkey

Share this post


Link to post
Share on other sites

I had a problem where the module selection was getting stomped on that turned out to be a bug in CCGV. If you have that module installed (and not CCGV(trad)), make sure you have applied the bug fixes, because one of them could fix the problem without the workaround.

 

--Glen

 

Thanks Glen! My environment does have CCGV - I'll have to check which one (someone else installed it). If it's not trad, where would I find the bug fixes? Only asking because I searched yesterday for WPP and CCGV together, but nothing about bug fixes came up.

 

Thanks again!

Share this post


Link to post
Share on other sites

Thanks Glen! My environment does have CCGV - I'll have to check which one (someone else installed it). If it's not trad, where would I find the bug fixes? Only asking because I searched yesterday for WPP and CCGV together, but nothing about bug fixes came up.

 

Thanks again!

 

If you are using Credit Class & Gift Vouchers, see the "major fix" supplied by JimbobobHacker2 on 30 Jan 2009. This fixed my issue; the code as written sets $module to NULL.

 

--Glen

Share this post


Link to post
Share on other sites

Hi

 

I am in Austria and having problems with getting direct payments to work. Well, they won't because I cannot sign up for a UK account.

The message returned when using direct payments is

"Invalid Configuration (10501) This transaction cannot be processed due to an invalid merchant configuration."

The reason being that I cannot have a billing agreement setup in Austria.

 

However, express checkout works great.

 

Is there anyway of disabling the direct payment method in your modules?

 

 

There are Express Checkout payment modules that may be more appropriate to your situation. Rather than trying to extract the Direct Payment support from this module, it may be better to investigate the other modules that provide only the Express Checkout function.

 

--Glen

Share this post


Link to post
Share on other sites

Anyone have this problem when checking out? When I go from payment page to confirmation page, I get this error:

 


Warning: require_once() [function.require-once]: URL file-access is disabled in the server configuration in C:\xampp\htdocs\bnconcepts\includes\modules\payment\paypal_wpp.php on line 196

Warning: require_once(http://clin.ath.cx/bnconcepts/includes/classes/cc_validation.php) [function.require-once]: failed to open stream: no suitable wrapper could be found in C:\xampp\htdocs\bnconcepts\includes\modules\payment\paypal_wpp.php on line 196

Fatal error: require_once() [function.require]: Failed opening required 'http://clin.ath.cx/bnconcepts/includes/classes/cc_validation.php' (include_path='.;C:\xampp\php\pear\;C:\xampp\smarty\libs\') in C:\xampp\htdocs\bnconcepts\includes\modules\payment\paypal_wpp.php on line 196

 

Does it have to do with something on my computer? This is being runned on my computer using xampp. Strange thing is, it was working fine last week but I made some changes since then (can't remember, mostly design changes) and it popped out today when I was testing something

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
Sign in to follow this  

×